# ===========================================================================
# JS da página de listagem mídias
#
# Author: Luís Dalmolin <luis@escape.ppg.br>
# ===========================================================================

$form = $('#form-media');

# atualizando infos
$('.btn-refresh').on('click', (e) ->
    e.preventDefault()

    $this   = $(this)
    id      = $this.data('id')
    $parent = $this.parent().parent()

    $this.find('.btn-text').text 'Atualizando...'

    $.ajax({
        type: 'post'
        url: $form.prop('action') + '/' + id
        data: {
            '_method': 'put'
            'legend': $parent.find('input[name="legend"]').val()
            'credits': $parent.find('input[name="credits"]').val()
        }
        success: () ->
            $this.find('.btn-text').text 'Atualizar'
    })
)

# sortable
$('.thumbnails').sortable({
    update: (e, ui) ->
        order   = 0
        $thumbs = $('[data-media]')

        $thumbs.each (e) ->
            $this = $(this)
            id    = $this.data('id')

            order++

            $.post $form.prop('action') + '/' + id + '/order', {
                '_method': 'put'
                'order'  : order
            }
})

# validando
$('#form-product-photos').validate({
    rules: {
        'files': { required: true }
    }

    submitHandler: (form) ->
        $(form).find('[data-loading-text]').prop('disabled', true).button('loading').val('Enviando fotos...')
        form.submit()

        return
})
