<?php namespace EscapeWork\Manager\Medias\Controllers;

use EscapeWork\Manager\Controllers\ManagerController;
use EscapeWork\Manager\Medias\Repositories\MediaModelSize\MediaModelSizeRepository;
use App;
use Input;
use Response;

class MediaModelSizeController extends ManagerController
{

    public function __construct(MediaModelSizeRepository $mediaModelSize)
    {
        $this->mediaModelSize = $mediaModelSize;
    }

    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        return $this->mediaModelSize->getByMediaModel(Input::get('id'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @return Response
     */
    public function store()
    {
        $this->mediaModelSize->fill(Input::all());

        if (! $this->mediaModelSize->validate()) {
            return Response::json(MediaModelSize::$messages);
        }

        $this->mediaModelSize->save();

        return $this->mediaModelSize->getModel();
    }

    public function show($id)
    {
        return $this->mediaModelSize->find($id);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @return Response
     */
    public function destroy($id)
    {
        $this->mediaModelSize = $this->mediaModelSize->find($id);

        return $this->mediaModelSize->delete();
    }
}
