<?php namespace EscapeWork\Manager\Medias\Models;

use EscapeWork\LaravelHelpers\Eloquent;

class MediaModel extends Eloquent
{

    /**
     * Table
     */
    protected $table = 'media_models';

    /**
     * Regras para validação
     */
    public static $validationRules = array(
        'model' => array('required', 'unique:media_models,model,:id:'),
    );

    /**
     * Mensagens para validação
     */
    public static $validationMessages = array(
        'model.required' => 'O nome da tabela é obrigatório',
        'model.unique'   => 'O model digitado já existe',
    );

    /**
     * Fillable fields
     */
    protected $fillable = array(
        'id',
        'model',
        'model_title',
        'model_route',
    );
}
