<?php

use Illuminate\Database\Migrations\Migration;

class CreateMediaModelSizesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('media_model_sizes', function($table)
		{
			$table->engine = 'InnoDB';
            $table->increments('id');
            $table->integer('media_model_id')->unsigned();
            $table->string('prefix', 10);
            $table->integer('width');
            $table->integer('height');
            $table->boolean('resize')->default(1);
            $table->timestamps();

            $table->foreign('media_model_id')->references('id')->on('media_models')->onDelete('cascade')->onUpdate('cascade');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('media_model_sizes');
	}

}
