<?php

use Illuminate\Database\Migrations\Migration;

class CreateMediaTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('medias', function($table)
		{
			$table->engine = 'InnoDB';
            $table->increments('id');
            $table->string('media_model');
            $table->integer('model_id')->unsigned();
            $table->string('file');
            $table->string('mime');
            $table->string('size');
            $table->string('legend')->nullable();
            $table->string('credits')->nullable();
            $table->integer('order')->nullable();
            $table->boolean('active')->default(1);
            $table->timestamps();

            $table->foreign('media_model')->references('model')->on('media_models')->onDelete('CASCADE')->onUpdate('CASCADE');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('medias');
	}

}
