@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li class="active"><a href="{{ route('manager.midias.models.index') }}">Mídias</a></li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Mídias <small>Models relacionados</small></h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.midias.models.create') }}" class="btn btn-primary">Inserir novo model</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

    {{ Msg::getAll() }}

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>#</th>
                <th>Model</th>
                <th>Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($mediasModel as $mediaModel)
                <tr>
                    <td>{{ $mediaModel->id }}</td>
                    <td>{{ $mediaModel->model }}</td>
                    <td>
                        <div class="btn-group">
                            <a href="#" class="btn btn-small btn-open-sizes" title="Ver tamanhos" data-id="{{ $mediaModel->id }}">
                                <i class="icon-resize-full"></i> tamanhos
                            </a>

                            <a href="{{ route('manager.midias.models.edit', $mediaModel->id) }}" class="btn btn-small" title="Editar">
                                <i class="icon-pencil"></i> editar
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->

    <div class="modal hide fade" id="modal-sizes" style="width: 90%; left: 5%; margin-left: 0px;">
        <div class="modal-header">
            <a href="#" class="close" data-dismiss="modal">&times;</a>

            <h3>Tamanhos do model</h3>
        </div><!-- .modal-header -->

        <div class="modal-body">

        </div><!-- .modal-body -->

        <div class="modal-footer">
            <a href="#" class="btn btn-close-modal" data-dismiss="modal">Fechar</a>
        </div><!-- .modal-footer -->
    </div><!-- .modal -->

    <script type="text/template" id="template-sizes">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th class="span3">Prefixo</th>
                    <th class="span3">Largura</th>
                    <th class="span3">Altura</th>
                    <th class="span1">Redimensionar</th>
                    <th class="span2">Ações</th>
                </tr>
            </thead>
            <tbody id="sizes">
            </tbody>
        </table>

        <hr />

        <h4>Novo tamanho</h4>

        <table class="table table-striped">
            <thead>
                <tr>
                    <th class="span3">Prefixo</th>
                    <th class="span3">Largura</th>
                    <th class="span3">Altura</th>
                    <th class="span1">Redimensionar</th>
                    <th class="span2">Ações</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td><input type="text" name="prefix" id="prefix" placeholder="Prefixo" maxlength="10"></td>
                    <td><input type="number" name="width" id="width" placeholder="Largura" maxlength="4"></td>
                    <td><input type="number" name="height" id="height" placeholder="Altura" maxlength="4"></td>
                    <td><input type="checkbox" name="resize" id="resize" value="1" /></td>
                    <td>
                        <a href="#" class="btn btn-success btn-small" id="btn-save-size" title="Inserir">
                            <i class="icon-ok icon-white"></i>
                        </a>
                    </td>
                </tr>
            </tbody>
        </table>
    </script>

    <script type="text/template" id="template-size-item">
        <td><%= prefix %></td>
        <td><%= width %></td>
        <td><%= height %></td>
        <td><%= resize %></td>
        <td>
            <a href="#/<%= id %>" class="btn btn-danger btn-small btn-delete-size" title="Excluir">
                <i class="icon-trash icon-white"></i>
            </a>
        </td>
    </script>
@stop

@section('scripts')
    @parent

    <script type="text/javascript" src="/packages/escapework/manager-medias/assets/javascripts/vendor/underscore.min.js"></script>
    <script type="text/javascript" src="/packages/escapework/manager-medias/assets/javascripts/vendor/backbone.min.js"></script>
    <script type="text/javascript" src="/packages/escapework/manager-medias/assets/javascripts/js/models/index.js"></script>
@stop
